# $Revision: 1.11 $, $Date: 2012/05/23 08:43:04 $
Summary:	General-purpose scalable concurrent malloc implementation
Summary(pl.UTF-8):	Ogólnego przeznaczenia, skalowalna, współbieżna implementacja funkcji malloc
Name:		jemalloc
Version:	3.0.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://www.canonware.com/download/jemalloc/%{name}-%{version}.tar.bz2
# Source0-md5:	f487fdf847c9834b22c2b7832cadc56f
# Remove pprof, as it already exists in google-perftools
Patch0:		no_pprof.patch
URL:		http://www.canonware.com/jemalloc/
BuildRequires:	libxslt-progs
# list from include/jemalloc/internal/jemalloc_internal.h.in
ExclusiveArch:	%{ix86} %{x8664} alpha arm ia64 mips ppc s390x sh4 sparc64 tile
# broken for us
# alpha: Missing implementation for 64-bit atomic operations"
# alpha: Missing implementation for 32-bit atomic operations"
ExcludeArch:	alpha
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
General-purpose scalable concurrent malloc(3) implementation. This
distribution is the stand-alone "portable" implementation of jemalloc.

%description -l pl.UTF-8
Ogólnego przeznaczenia, skalowalna, współbieżna implementacja funkcji
malloc(3). Ten pakiet zawiera samodzielną "przenośną" implementację
jemalloc.

%package devel
Summary:	Development files for jemalloc
Summary(pl.UTF-8):	Pliki programistyczne biblioteki jemalloc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for developing applications
that use jemalloc library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę jemalloc.

%package static
Summary:	Static jemalloc library
Summary(pl.UTF-8):	Statyczna biblioteka jemalloc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static jemalloc library.

%description static -l pl.UTF-8
Statyczna biblioteka jemalloc.

%prep
%setup -q
%patch0 -p1

# This is truncated during build. Seems interesting to save.
cp -p VERSION version

%build
%configure \
	--with-jemalloc-prefix=je_

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# restore
cp -pf version VERSION

# soname improperly made, use fake main name (just use our current version)
mv $RPM_BUILD_ROOT%{_libdir}/libjemalloc.so.{1,%{version}}
ln -s $(basename $RPM_BUILD_ROOT%{_libdir}/libjemalloc.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libjemalloc.so.1

# Install this with doc macro instead
%{__rm} $RPM_BUILD_ROOT%{_docdir}/%{name}/jemalloc.html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README VERSION doc/jemalloc.html
%attr(755,root,root) %{_bindir}/jemalloc.sh
%attr(755,root,root) %{_libdir}/libjemalloc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjemalloc.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjemalloc.so
%{_includedir}/jemalloc
%{_mandir}/man3/jemalloc.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libjemalloc.a
%{_libdir}/libjemalloc_pic.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jemalloc.spec,v $
Revision 1.11  2012/05/23 08:43:04  qboosh
- updated to 3.0.0
- updated no_pprof patch

Revision 1.10  2012/01/31 22:59:50  baggins
- rel 3
- reenable prefix, redis _requires_ it (see redis src/Makefile)

Revision 1.9  2011/12/12 20:40:52  glen
- blah, no prefix system wide; redis needs patched otherwise

Revision 1.8  2011/11/26 12:40:27  qboosh
- updated to 2.2.5

Revision 1.7  2011/11/11 16:37:32  qboosh
- updated to 2.2.4

Revision 1.6  2011/11/06 17:45:23  qboosh
- pl, cleanup

Revision 1.5  2011/10/31 11:39:17  glen
- ppc and sparc32 is not supported by upstream either

Revision 1.4  2011/10/31 11:33:25  glen
- update arch list

Revision 1.3  2011/10/29 11:52:45  glen
- prefix symbols with je_ (for redis 2.4, feel free to do it otherwise so it would work)

Revision 1.2  2011/10/29 11:36:31  glen
- up to 2.2.3

Revision 1.1  2011/10/29 11:26:41  glen
- new, based on fedora package
